Chromium Code Reviews
Help | Chromium Project | Sign in
(3)

Issue 13814024: Add a runtime flag in WebRuntimeFeatures to enable 'image/webp' accept header (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years ago by urvang (Google)
Modified:
2 years ago
CC:
blink-reviews, jamesr, abarth_chromum.org, abarth, gavinp+loader_chromium.org, haraken, Nate Chapin
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Visibility:
Public.

Description

Add a runtime flag in WebRuntimeFeatures to enable 'image/webp' accept header BUG=169182 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=148318

Patch Set 1 #

Total comments: 2

Patch Set 2 : Rebased patch #

Unified diffs Side-by-side diffs Delta from patch set Stats (+50 lines, -0 lines) Patch
M Source/WebCore/loader/cache/CachedImage.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M Source/WebCore/loader/cache/CachedImage.cpp View 1 4 chunks +14 lines, -0 lines 0 comments Download
M Source/WebKit/chromium/public/WebRuntimeFeatures.h View 1 1 chunk +4 lines, -0 lines 0 comments Download
M Source/WebKit/chromium/src/WebRuntimeFeatures.cpp View 1 1 chunk +18 lines, -0 lines 0 comments Download
M Source/bindings/v8/RuntimeEnabledFeatures.h View 1 2 chunks +9 lines, -0 lines 0 comments Download
M Source/bindings/v8/RuntimeEnabledFeatures.cpp View 1 1 chunk +4 lines, -0 lines 0 comments Download
Commit: CQ not working?

Messages

Total messages: 11 (0 generated)
urvang (Google)
2 years ago (2013-04-09 21:13:39 UTC) #1
darin (slow to review)
https://codereview.chromium.org/13814024/diff/1/Source/WebCore/bindings/generic/RuntimeEnabledFeatures.h File Source/WebCore/bindings/generic/RuntimeEnabledFeatures.h (right): https://codereview.chromium.org/13814024/diff/1/Source/WebCore/bindings/generic/RuntimeEnabledFeatures.h#newcode287 Source/WebCore/bindings/generic/RuntimeEnabledFeatures.h:287: #if USE(WEBP) WTF_USE_WEBP is no longer required in Blink. ...
2 years ago (2013-04-10 23:13:16 UTC) #2
urvang (Google)
Thanks Darin! Reply inline... https://codereview.chromium.org/13814024/diff/1/Source/WebCore/bindings/generic/RuntimeEnabledFeatures.h File Source/WebCore/bindings/generic/RuntimeEnabledFeatures.h (right): https://codereview.chromium.org/13814024/diff/1/Source/WebCore/bindings/generic/RuntimeEnabledFeatures.h#newcode287 Source/WebCore/bindings/generic/RuntimeEnabledFeatures.h:287: #if USE(WEBP) On 2013/04/10 23:13:16, ...
2 years ago (2013-04-11 00:42:51 UTC) #3
darin (slow to review)
OK, LGTM I would like to see WTF_USE_WEBP removed. I don't think we need to ...
2 years ago (2013-04-12 21:25:33 UTC) #4
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/urvang@google.com/13814024/1
2 years ago (2013-04-12 21:25:50 UTC) #5
I haz the power (commit-bot)
Failed to apply patch for Source/WebCore/bindings/generic/RuntimeEnabledFeatures.cpp: While running patch -p1 --forward --force --no-backup-if-mismatch; A Source/WebCore/bindings ...
2 years ago (2013-04-12 21:25:52 UTC) #6
urvang (Google)
Looks like some files have moved recently. Here is a rebased change.
2 years ago (2013-04-12 22:01:59 UTC) #7
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/urvang@google.com/13814024/9001
2 years ago (2013-04-12 22:04:16 UTC) #8
I haz the power (commit-bot)
Retried try job too often on mac_layout_rel for step(s) webkit_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=mac_layout_rel&number=1970
2 years ago (2013-04-12 23:21:14 UTC) #9
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/urvang@google.com/13814024/9001
2 years ago (2013-04-12 23:23:08 UTC) #10
I haz the power (commit-bot)
2 years ago (2013-04-13 00:22:01 UTC) #11
Message was sent while issue was closed.
Change committed as 148318
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld e0e3771